## org.opengis.metadata.extent
Interface TemporalExtent

All Known Subinterfaces:
  SpatialTemporalExtent

    @UML(identifier="EX_TemporalExtent",
         specification=ISO_19115)
    public interface TemporalExtent

Time period covered by the content of the dataset.

Since:
  GeoAPI 1.0

Method Summary
`TemporalPrimitive` `getExtent()` Returns the date and time for the content of the dataset.

Method Detail

### getExtent

    @UML(identifier="extent",
         obligation=MANDATORY,
         specification=ISO_19108)
    TemporalPrimitive getExtent()

  Returns the date and time for the content of the dataset.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.